package com.yiqi.core.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.core.domain.ClothBrand;

/**
 * 衣服品牌Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-16
 */
public interface ClothBrandMapper extends BaseMapper<ClothBrand> {
    /**
     * 查询衣服品牌
     *
     * @param id 衣服品牌主键
     * @return 衣服品牌
     */
    public ClothBrand selectClothBrandById(Long id);

    /**
     * 查询衣服品牌列表
     *
     * @param clothBrand 衣服品牌
     * @return 衣服品牌集合
     */
    public List<ClothBrand> selectClothBrandList(ClothBrand clothBrand);

    /**
     * 新增衣服品牌
     *
     * @param clothBrand 衣服品牌
     * @return 结果
     */
    public int insertClothBrand(ClothBrand clothBrand);

    /**
     * 修改衣服品牌
     *
     * @param clothBrand 衣服品牌
     * @return 结果
     */
    public int updateClothBrand(ClothBrand clothBrand);

    /**
     * 删除衣服品牌
     *
     * @param id 衣服品牌主键
     * @return 结果
     */
    public int deleteClothBrandById(Long id);

    /**
     * 批量删除衣服品牌
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClothBrandByIds(Long[] ids);
}
